AOZ Studio Beta - Bug #436

Bob scaling problem
08/05/2020 01:28 PM - Paul Kitching

Status: Closed Start date: 08/05/2020
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 1:00 hour
Target version: Beta RC4

Affected version: Beta RC2

Description

If I had a (for example) a laser. | could scale it left or right bu increasing/decreasing the x scale to make it grow from the hot spot.
Now it's going right okay by increasing the x, but when | decrease it, instead of growing left, it's growing right. It also looks like the
hot spot is being flipped which is making other bobs move.

#manifest: "aoz"
#splashScreen:false

bob 1,100,100,1

ink l:circle 100,100,5

wait 1

for x=2 to -5 step-1
bob scale 1,x,1
wait 1

next x

History

#1 - 08/05/2020 01:56 PM - Paul Kitching

Collision detection is still happening to the left when scaled <0, but the graphics are to the right.

#2 - 09/15/2020 03:39 AM - Brian Flanagan
- Estimated time set to 1:00 h
- Affected version changed from 0.9.9.4 to Beta RC2

#3 - 10/07/2020 08:42 AM - Francois Lionet
- Status changed from New to In Progress
- Assignee changed from AOZ Studio Team to Francois Lionet

- Target version set to Beta RC4

Done some improvement, but there are still problems when the bobs are rotated and scaled at the same time.
This part of the software definitively need a rewrite. Will come next week.

#4 - 10/27/2020 04:33 PM - Francois Lionet

- Status changed from In Progress to Resolved

Fixed!

#5 - 11/17/2020 08:53 PM - Paul Kitching

- Status changed from Resolved to Closed
